Up

# NSComboBoxCell

### Authors

Gerrit van Dyk (`gerritvd@decillion.net`)

Copyright: (C) 1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSComboBoxCell class
2. Software documentation for the NSObject(NSComboBoxCellDataSource) informal protocol

# Software documentation for the NSComboBoxCell class

## NSComboBoxCell : NSTextFieldCell

> Declared in:
>   AppKit/NSComboBoxCell.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addItemWithObjectValue:
- -addItemsWithObjectValues:
- -completedString:
- -completes
- -dataSource
- -deselectItemAtIndex:
- -hasVerticalScroller
- -indexOfItemWithObjectValue:
- -indexOfSelectedItem
- -insertItemWithObjectValue:atIndex:
- -intercellSpacing
- -itemHeight
- -itemObjectValueAtIndex:
- -noteNumberOfItemsChanged
- -numberOfItems
- -numberOfVisibleItems
- -objectValueOfSelectedItem
- -objectValues
- -reloadData
- -removeAllItems
- -removeItemAtIndex:
- -removeItemWithObjectValue:
- -scrollItemAtIndexToTop:
- -scrollItemAtIndexToVisible:
- -selectItemAtIndex:
- -selectItemWithObjectValue:
- -setCompletes:
- -setDataSource:
- -setHasVerticalScroller:
- -setIntercellSpacing:
- -setItemHeight:
- -setNumberOfVisibleItems:
- -setUsesDataSource:
- -usesDataSource

### addItemWithObjectValue:

- (void) addItemWithObjectValue: (id)object;

Description forthcoming.

### addItemsWithObjectValues:

- (void) addItemsWithObjectValues: (NSArray*)objects;

Description forthcoming.

### completedString:

- (NSString*) completedString: (NSString*)substring;

Description forthcoming.

### completes

- (BOOL) completes;

Description forthcoming.

### dataSource

- (id) dataSource;

Description forthcoming.

### deselectItemAtIndex:

- (void) deselectItemAtIndex: (int)index;

Description forthcoming.

### hasVerticalScroller

- (BOOL) hasVerticalScroller;

Description forthcoming.

### indexOfItemWithObjectValue:

- (int) indexOfItemWithObjectValue: (id)object;

Description forthcoming.

### indexOfSelectedItem

- (int) indexOfSelectedItem;

Description forthcoming.

### insertItemWithObjectValue:atIndex:

- (void) insertItemWithObjectValue: (id)object atIndex: (int)index;

Description forthcoming.

### intercellSpacing

- (NSSize) intercellSpacing;

Description forthcoming.

### itemHeight

- (float) itemHeight;

Description forthcoming.

### itemObjectValueAtIndex:

- (id) itemObjectValueAtIndex: (int)index;

Description forthcoming.

### noteNumberOfItemsChanged

- (void) noteNumberOfItemsChanged;

Description forthcoming.

### numberOfItems

- (int) numberOfItems;

Description forthcoming.

### numberOfVisibleItems

- (int) numberOfVisibleItems;

Description forthcoming.

### objectValueOfSelectedItem

- (id) objectValueOfSelectedItem;

Description forthcoming.

### objectValues

- (NSArray*) objectValues;

Description forthcoming.

### reloadData

- (void) reloadData;

Description forthcoming.

### removeAllItems

- (void) removeAllItems;

Description forthcoming.

### removeItemAtIndex:

- (void) removeItemAtIndex: (int)index;

Description forthcoming.

### removeItemWithObjectValue:

- (void) removeItemWithObjectValue: (id)object;

Description forthcoming.

### scrollItemAtIndexToTop:

- (void) scrollItemAtIndexToTop: (int)index;

Description forthcoming.

### scrollItemAtIndexToVisible:

- (void) scrollItemAtIndexToVisible: (int)index;

Description forthcoming.

### selectItemAtIndex:

- (void) selectItemAtIndex: (int)index;

Description forthcoming.

### selectItemWithObjectValue:

- (void) selectItemWithObjectValue: (id)object;

Description forthcoming.

### setCompletes:

- (void) setCompletes: (BOOL)completes;

Description forthcoming.

### setDataSource:

- (void) setDataSource: (id)aSource;

Description forthcoming.

### setHasVerticalScroller:

- (void) setHasVerticalScroller: (BOOL)flag;

Description forthcoming.

### setIntercellSpacing:

- (void) setIntercellSpacing: (NSSize)aSize;

Description forthcoming.

### setItemHeight:

- (void) setItemHeight: (float)itemHeight;

Description forthcoming.

### setNumberOfVisibleItems:

- (void) setNumberOfVisibleItems: (int)visibleItems;

Description forthcoming.

### setUsesDataSource:

- (void) setUsesDataSource: (BOOL)flag;

Description forthcoming.

### usesDataSource

- (BOOL) usesDataSource;

Description forthcoming.

# Software documentation for the NSObject(NSComboBoxCellDataSource) informal protocol

## NSObject(NSComboBoxCellDataSource)

> Declared in:
>   AppKit/NSComboBoxCell.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -comboBoxCell:completedString:
- -comboBoxCell:indexOfItemWithStringValue:
- -comboBoxCell:objectValueForItemAtIndex:
- -numberOfItemsInComboBoxCell:

### comboBoxCell:completedString:

- (NSString*) comboBoxCell: (NSComboBoxCell*)aComboBoxCell completedString: (NSString*)uncompletedString;

Description forthcoming.

### comboBoxCell:indexOfItemWithStringValue:

- (unsigned int) comboBoxCell: (NSComboBoxCell*)aComboBoxCell indexOfItemWithStringValue: (NSString*)string;

Description forthcoming.

### comboBoxCell:objectValueForItemAtIndex:

- (id) comboBoxCell: (NSComboBoxCell*)aComboBoxCell objectValueForItemAtIndex: (int)index;

Description forthcoming.

### numberOfItemsInComboBoxCell:

- (int) numberOfItemsInComboBoxCell: (NSComboBoxCell*)comboBoxCell;

Description forthcoming.

Up